Http Nfc Lease Http Nfc Lease Progress

Http Nfc Lease Http Nfc Lease Progress
Sets the disk up/download progress, and renews this lease.

Sets the disk up/download progress, and renews this lease.

A lease will time out automatically after a while. If the client wishes to continue using it, for example if it is not done accessing the disks, this method must be called periodically.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HttpNfcLease/{moId}/HttpNfcLeaseProgress
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HttpNfcLease/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
HttpNfcLeaseProgressRequestType of type(s) application/json
Required
{
    "percent": 0
}
integer As int32 As int32
percent
Required

[in] Completion status represented as an integer in the 0-100 range.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

Timedout: if the lease has timed out or vSphere has not detected data transfer progress.

Returns Timedout of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"percent":"integer"}' https://{api_host}/sdk/vim25/{release}/HttpNfcLease/{moId}/HttpNfcLeaseProgress